{% extends 'base.html.twig' %}

{% block title %}{{ user.surname }} {{ user.name }}{% endblock %}

{% block body %}
    <main class="container mt-0 md:mt-12">

		<div class="overflow-hidden bg-white shadow sm:rounded-lg">
			<div class="px-4 py-5 border-b border-gray-200 sm:px-6">
				<h3 class="text-lg font-medium leading-6 text-gray-900">
					Utilisateur
				</h3>
				<p class="max-w-2xl mt-1 text-sm leading-5 text-gray-500">
					Informations de l'utilisateur
				</p>
			</div>
			<div>
				<dl>
					<div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Adresse email
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{{ user.email }}
						</dd>
					</div>
					<div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Prénom
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{{ user.surname }}
						</dd>
					</div>
					<div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Nom
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{{ user.name }}
						</dd>
					</div>
                    <div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Numéro de téléphone
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
							{{ user.phone }}
						</dd>
					</div>
                    <div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Rôles
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
                            {% for role in user.roles %}
                                {{ role == 'ROLE_SUPER_ADMIN' ? 'Superadmin ' : ''}}
                                {{ role == 'ROLE_EDITEUR_ADMIN' ? 'Admin des éditeurs ' : ''}}
                                {{ role == 'ROLE_BENEVOLE_ADMIN' ? 'Admin des bénévoles ' : ''}}
                                {{ role == 'ROLE_PROTO_ADMIN' ? 'Admin des protozones ' : ''}}
                                {{ role == 'ROLE_RESPONSABLE' ? 'Exposant (Responsable) ' : ''}}
                                {{ role == 'ROLE_SALARIE' ? 'Exposant (Salarié) ' : ''}}
                                {{ role == 'ROLE_BENEVOLE' ? 'Bénévole ' : ''}}
                            {% endfor %}
						</dd>
					</div>
					<div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Participe à la Garden Party
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
                         {% if user.gardenParty %}
                            	<span class="inline-flex px-2 text-xs font-semibold leading-5 text-green-800 bg-green-100 rounded-full"> Oui </span>
                            {% else %}
                                <span class="inline-flex px-2 text-xs font-semibold leading-5 text-red-800 bg-red-100 rounded-full"> Non </span>
                        {% endif %}
                        </dd>
					</div>
					<div class="px-4 py-5 bg-gray-50 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							{{ 'ROLE_BENEVOLE' in user.roles or 'ROLE_SUPER_ADMIN' in user.roles ? 'Propose un hébergement' : 'A besoin d\'un hébergement' }}
						</dt>
						<dd class="mt-1 text-sm leading-5 text-gray-900 sm:mt-0 sm:col-span-2">
                           {% if user.hosting %}
                            	<span class="inline-flex px-2 text-xs font-semibold leading-5 text-green-800 bg-green-100 rounded-full"> Oui </span>
                            {% else %}
                                <span class="inline-flex px-2 text-xs font-semibold leading-5 text-red-800 bg-red-100 rounded-full"> Non </span>
                        {% endif %}
                        </dd>
					</div>

					<div class="px-4 py-5 bg-white sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
						<dt class="text-sm font-medium leading-5 text-gray-500">
							Actions
						</dt>
						<dd class="flex flex-col mt-1 text-sm leading-5 text-gray-900 md:flex-row sm:mt-0 sm:col-span-2">
							<a class="mb-4 md:mb-0 btn-secondary" href="{{ path('user_index') }}">Revenir à la liste</a>

							{{ include('admin/user/_delete_form.html.twig') }}

							<a class="btn-info" href="{{ path('user_edit', {'id': user.id}) }}">Mettre à jour</a>
						</dd>
					</div>
				</dl>
			</div>
		</div>
	</main>
{% endblock %}
